@charset "utf-8";

/* ---------- Cookie Banner --------------*/
/* Cookie banner container styles */
#cookie-banner {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
    z-index: 1000;
    width: 80%;
    max-width: 410px;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 0 1500px 1500px #000000c2;
    color: #666666;
}

/* When banner is shown, set full opacity */
#cookie-banner.show-cookie {
    opacity: 1;
    transition-delay: 1000ms;
}

/* Button styling */
#cookie-banner button {
    margin: 0px;
    padding: 15px 30px;
    border: none;
    background-color: #9ac303;
    cursor: pointer;
    transition: background-color 0.3s;
    width: 100%;
    color: white;
    border-radius: 6px;
    font-weight: 700;
    font-size: 16px;
}

#cookie-banner button:hover {
    background-color: #7c9e00;
}

/* GDPR link styling */
#cookie-banner a.learn-more {
    color: #666666;
    text-decoration: underline;
    opacity: 1;
    transform: translateX(0px);
}

#cookie-banner a.learn-more:hover {
    color: #000000;
}

/* no */
a#deny-btn {
    display: block;
    color: #666666;
    font-size: 14px;
    line-height: 20px;
    text-decoration: none;
}

a#deny-btn:hover {
    color: #666666;
    text-decoration: underline;
}




